From: "Tiziano Müller" <dev-zero@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] dev/dev-zero:master commit in: sci-misc/opari2/
Date: Wed, 17 Jul 2013 13:03:41 +0000 (UTC) [thread overview]
Message-ID: <1374066207.acb1802d9e8d72fe7d6bec10ee74c6a24bc92ff0.dev-zero@gentoo> (raw)
commit: acb1802d9e8d72fe7d6bec10ee74c6a24bc92ff0
Author: Tiziano Müller <tm <AT> dev-zero <DOT> ch>
AuthorDate: Wed Jul 17 13:03:27 2013 +0000
Commit: Tiziano Müller <dev-zero <AT> gentoo <DOT> org>
CommitDate: Wed Jul 17 13:03:27 2013 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=dev/dev-zero.git;a=commit;h=acb1802d
Initial commit of opari2 ebuild.
---
sci-misc/opari2/Manifest | 2 ++
sci-misc/opari2/opari2-1.0.7.ebuild | 32 ++++++++++++++++++++++++++++++++
2 files changed, 34 insertions(+)
diff --git a/sci-misc/opari2/Manifest b/sci-misc/opari2/Manifest
new file mode 100644
index 0000000..6e06649
--- /dev/null
+++ b/sci-misc/opari2/Manifest
@@ -0,0 +1,2 @@
+DIST opari2-1.0.7.tar.gz 874332 SHA256 8d6fe152c740eaec9294e9d8c0938bf7bb25371e35486af7b95c16cf0159efc0 SHA512 cc7c0b7ab50561b018ce05ef9e9182001b8626eed2c072770a67373e9648a86ce249da6a4e9263801173ea08ecc40565751a1bf8ca62065a59adbb355ad5e5a5 WHIRLPOOL 36a6d7ddbff90cbb9f94bc6c83bab2c5303998ee402f524989869ab9a1815ba6bbd9193370b4e02bf75edf28a5ad183ec61d5b111f6ccc53ccd865fec561d798
+EBUILD opari2-1.0.7.ebuild 691 SHA256 4527e14a2f613c48dc0637f9e194d48992fb4d85c910a61022e1b7ef70715d6a SHA512 c356caadf6279b0e13315dae8bc9a4645dfc1358af48b77e5e3b9e2cbc8deb14dde6a5b42c771859dba4c6ab1bb71c51b12a616342557cef5c938dc4e46657f3 WHIRLPOOL a8bf542ba8f44c89990672d5ccd32452d24247c0fa90a3537634dee607a601c981c88e14abe0d1d025225cfbf1f3834dcefdaa91ca6246063e0c87d32743d1d3
diff --git a/sci-misc/opari2/opari2-1.0.7.ebuild b/sci-misc/opari2/opari2-1.0.7.ebuild
new file mode 100644
index 0000000..02e0b9a
--- /dev/null
+++ b/sci-misc/opari2/opari2-1.0.7.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+DESCRIPTION="Source-to-source instrumentation tool for OpenMP and hybrid codes."
+HOMEPAGE="http://www.vi-hps.org/Tools/OPARI2.html"
+SRC_URI="http://www.vi-hps.org/upload/packages/opari2/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="doc"
+
+DEPEND=""
+RDEPEND=""
+
+src_configure() {
+ # auto-detection does not work in ebuild environment
+ econf \
+ --with-platform=linux \
+ --docdir="/usr/share/doc/${PF}"
+}
+
+src_install() {
+ default
+
+ if ! use doc ; then
+ rm -r "${D}/usr/share/doc/${PF}"/{example*,html,pdf,tags} || die "removing docs failed"
+ fi
+}
next reply other threads:[~2013-07-17 13:04 UTC|newest]
Thread overview: 2+ messages / expand[flat|nested] mbox.gz Atom feed top
2013-07-17 13:03 Tiziano Müller [this message]
-- strict thread matches above, loose matches on Subject: below --
2016-04-14 12:37 [gentoo-commits] dev/dev-zero:master commit in: sci-misc/opari2/ Tiziano Müller
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1374066207.acb1802d9e8d72fe7d6bec10ee74c6a24bc92ff0.dev-zero@gentoo \
--to=dev-zero@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox